Summary: 	Userspace OSS compatibility layer for ALSA
Name: 		alsa-oss
Version: 	1.0.4
Release: 	0.fdr.1.1
Epoch: 		0
License: 	GPL
Group: 		System Environment/Libraries
URL: 		http://www.alsa-project.org/
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		alsa-oss-aoss_in.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	alsa-lib-devel >= 0:1.0.4

# -----------------------------------------------------------------------------

%description
This package contains an emulation/compatibility library which can
make oss-linked program use ALSA instead.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 -b .ldpreload_aossin

# -----------------------------------------------------------------------------

%build
%configure
%{__make} %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

# -----------------------------------------------------------------------------

%clean
%{__rm} -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING

%{_bindir}/aoss
%{_libdir}/libaoss.so.*
%{_libdir}/libalsatoss.so.*
%{_mandir}/man1/aoss.1*
%exclude %{_libdir}/lib*.la
%exclude %{_libdir}/libaoss.a
%exclude %{_libdir}/libossredir.a
%exclude %{_libdir}/libalsatoss.a
%exclude %{_includedir}/oss-redir.h
# -----------------------------------------------------------------------------

%changelog
* Sat Apr 03 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:1.0.4-0.fdr.1
- Update to 1.0.4
- Update Patch

* Fri Jan 09 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:1.0.1-0.fdr.2
- Fix owning of libaoss.so.*

* Fri Jan 09 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:1.0.1-0.fdr.1
- Update to 1.0.1

* Sun Dec 14 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 1.0.0-0.fdr.0.3.rc2
- removed devel-package and exclude devel-files

* Sat Dec 06 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 1.0.0-0.fdr.0.2.rc2
- Updated to 1.0.0rc2
- Included patch so aoss find libary -- thanks to Michael Schwendt and "lohan"
- some minor corrections in spec-file style


* Thu Dec 04 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 1.0.0-0.fdr.0.1.rc1
- Updated to 1.0.0rc1
- Eclude links _libdir/libaoss.so.*
- Include _libdir/libaoss.so

* Fri Oct 24 2003 Dams <anvil[AT]livna.org> 0:0.9.8-0.fdr.1
- Updated to 0.9.8

* Fri Oct  3 2003 Dams <anvil[AT]livna.org> 0:0.9.6-0.fdr.2
- Removed #-- marker after scriptlets

* Wed Aug 13 2003 Dams <anvil[AT]livna.org>
- Initial build.
